Enable RemexHTML on additional wikis with < 100 errors in all high priority categories
Closed, ResolvedPublic

Description

We have been gradually loosening constraints for replacing Tidy with Remex on wikis (see T182042 = 0, T184656 < 10, T188010 < 25, T190731 < 50).

As a next step, we are going to replace Tidy on all wikis that have fewer than 100 entires in all high-priority Linter categories.

I plan to make this switch on May 2 as part of the morning SWAT window. I'll make a list of all affected wikis next week and expect about ~50 wikis to be switched over. The plan is to switch over all wikis by end of June.

As of Apr 26, the following 41 wikis qualify:

amwiki
arzwiki
azwiktionary
barwiki
bswikisource
cowiki
dawiktionary
eowikisource
etwiki
etwiktionary
fawikibooks
fowiki
gagwiki
ganwiki
glwiktionary
gvwiki
hrwikisource
iswiki
kswiki
lawikisource
lowiki
mhrwiki
mnwiki
mwlwiki
napwiki
nowiktionary
nrmwiki
ocwiktionary
omwiki
plwikibooks
ruwikibooks
sahwiki
scnwiki
simplewiktionary
sowiki
tewikisource
thwikibooks
trwikisource
ukwikisource
ukwiktionary
viwikisource
ssastry created this task.Apr 16 2018, 3:40 PM
ssastry triaged this task as Normal priority.
ssastry updated the task description. (Show Details)Apr 18 2018, 6:01 PM
ssastry updated the task description. (Show Details)Apr 23 2018, 5:13 PM
Liuxinyu970226 added a subscriber: Liuxinyu970226.

As this is affecting one Ukrainian project

ssastry updated the task description. (Show Details)Apr 26 2018, 9:44 PM

Change 429357 had a related patch set uploaded (by Subramanya Sastry; owner: Subramanya Sastry):
[operations/mediawiki-config@master] Enable RemexHtml on wikis with <100 issues in high-priority linter cats

https://gerrit.wikimedia.org/r/429357

I am also going to add betawikiversity to this list. I just fixed a bunch of pages and templates and it is close to meeting the threshold. ( https://quarry.wmflabs.org/query/26706 ).

Change 429357 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable RemexHtml on wikis with <100 issues in high-priority linter cats

https://gerrit.wikimedia.org/r/429357

Mentioned in SAL (#wikimedia-operations) [2018-05-02T17:55:54Z] <catrope@tin> Synchronized wmf-config/InitialiseSettings.php: Enable RemexHtml on wikis with <100 high-prio issues (T192299) (duration: 01m 17s)

ssastry closed this task as Resolved.May 2 2018, 6:00 PM
Restricted Application added a subscriber: Ahmed123. · View Herald TranscriptMay 4 2018, 8:25 PM